LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-27-2009, 08:07 AM   #1
RSridhar
LQ Newbie
 
Registered: Sep 2009
Posts: 13

Rep: Reputation: 4
Red face stellatium fails with segmentation fault


running Stellarium on my fedora 11 intel pentium
based PC
since Last reinstalled
stellarium
has not been working.
Strangely even googling with message that I have received
doesn't show up any results

intel_bufmgr_gem.c:699: Error preparing buffer map 16139328 ((null)): Invalid argument

I have a feeling that this is causing more problem than
not running stellarium.

Would be much obliged to hear a resolution for this.
 
Old 09-27-2009, 09:38 AM   #2
malekmustaq
Senior Member
 
Registered: Dec 2008
Location: root
Distribution: Slackware & BSD
Posts: 1,615

Rep: Reputation: 441Reputation: 441Reputation: 441Reputation: 441Reputation: 441
RSridhar,

Not everyone knows what is Stellarium and how it is implemented into linux. Can you post the output of even just the tail of dmesg?

--$: dmesg | tail

also, it appears that the error concerns memory handling, can you try reinstall again Stellarium just to find out and be certain before we can delve any further.

good luck.
 
Old 09-28-2009, 09:46 AM   #3
RSridhar
LQ Newbie
 
Registered: Sep 2009
Posts: 13

Original Poster
Rep: Reputation: 4
As you had requested this output is obtained
after running
cmd: fgfs-wrapper
name FlightGear
Description Flight Simulator
Comment Open source and multi-platform flight simulator
Error obtained here is exactly the same as obtained when
running stellarium.
So I do not think reinstall would help.
However dmesg| tail of stellarium is also provide below.


Bluetooth: SCO socket layer initialized
audit(1254144028.534:27773): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 res=1
CPU0 attaching NULL sched-domain.
CPU0 attaching NULL sched-domain.
type=1400 audit(1254144035.512:27774): avc: denied { getattr } for pid=2093 comm="gdm-simple-gree" path="/home/RS/.face" dev=dm-0 ino=133599 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_ubject_r:user_home_dir_t:s0 tclass=file
type=1400 audit(1254144039.271:27775): avc: denied { read } for pid=2146 comm="gdm-session-wor" name=".dmrc" dev=dm-0 ino=135062 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_ubject_r:user_home_dir_t:s0 tclass=file
type=1400 audit(1254144039.278:27776): avc: denied { read } for pid=2145 comm="gdm-session-wor" name=".dmrc" dev=dm-0 ino=135062 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_ubject_r:user_home_dir_t:s0 tclass=file
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
SELinux: initialized (dev sr1, type iso9660), uses genfs_contexts
fgfs[2567]: segfault at 0 ip 0100ffb3 sp bfce6f20 error 6 in libdricore.so[f67000+1e0000]


After executing Stellarium at command prompt of bash ..

these four lines are from the properties sheet
cmd: stellarium-wrapper
Name Stellarium Night Sky viewer
Description Night Sky Viewer
Comment A real-time night sky viewer

dmesg | tail
audit(1254144028.534:27773): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 res=1
CPU0 attaching NULL sched-domain.
CPU0 attaching NULL sched-domain.
type=1400 audit(1254144035.512:27774): avc: denied { getattr } for pid=2093 comm="gdm-simple-gree" path="/home/RS/.face" dev=dm-0 ino=133599 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_ubject_r:user_home_dir_t:s0 tclass=file
type=1400 audit(1254144039.271:27775): avc: denied { read } for pid=2146 comm="gdm-session-wor" name=".dmrc" dev=dm-0 ino=135062 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_ubject_r:user_home_dir_t:s0 tclass=file
type=1400 audit(1254144039.278:27776): avc: denied { read } for pid=2145 comm="gdm-session-wor" name=".dmrc" dev=dm-0 ino=135062 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_ubject_r:user_home_dir_t:s0 tclass=file
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
SELinux: initialized (dev sr1, type iso9660), uses genfs_contexts
fgfs[2567]: segfault at 0 ip 0100ffb3 sp bfce6f20 error 6 in libdricore.so[f67000+1e0000]
stellarium[2912]: segfault at 0 ip 00f0e0bf sp bf84a0d0 error 6 in libdricore.so[e65000+1e0000]
 
Old 09-28-2009, 09:50 AM   #4
~sHyLoCk~
Senior Member
 
Registered: Jul 2008
Location: /dev/null
Posts: 1,173
Blog Entries: 12

Rep: Reputation: 129Reputation: 129
Stellarium works perfectly fine here in my slackbox as well as in gentoo. Anyway, I think it's more to do with your X configuration. It also requires 3D acceleration. Which video driver are you using?
 
Old 09-28-2009, 03:53 PM   #5
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,830

Rep: Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409
i build stellarium and celestia from source so...
what is your 3d card and what driver are you using ?

how did you install stellarium
Code:
su -
yum install stellarium
or from the source
http://www.stellarium.org/wiki/index...ation_on_Linux
and the build dependencies
http://www.stellarium.org/wiki/index...d_Dependencies

Last edited by John VV; 09-28-2009 at 03:54 PM.
 
Old 09-28-2009, 08:57 PM   #6
RSridhar
LQ Newbie
 
Registered: Sep 2009
Posts: 13

Original Poster
Rep: Reputation: 4
I did yum install stallarium from fedora repository

That my computer is driven by graphics adapter from Intel
i845
Video Card: Intel Corporation 82845G/GL [brookdale G]/ge Chipset integrated graphic device

This software was working previously. Since installing the current release version of Stellarium 0.10.2
I have this problem.
Also the FlightGear simulator was installed a few years back and had failed then.So I had removed it. Since in Fedora 11 Games folder is empty
I got it installed. But it also failed with intel_bufmgr failing
with segmentation fault.

The following is the contents of .stellarium/log.txt

2009-09-29T06:12:23
stellarium --version
Linux version 2.6.30.5-43.fc11.i586 (mockbuild@x86-4.fedora.phx.redhat.com) (gcc version 4.4.1 20090725 (Red Hat 4.4.1-2) (GCC) ) #1 SMP Thu Aug 27 21:18:54 EDT 2009
Compiled with GCC 4.4.0
Qt runtime version: 4.5.2
Qt compilation version: 4.5.0
Addressing mode: 32-bit
MemTotal: 1019536 kB
MemFree: 478604 kB
SwapTotal: 2064376 kB
model name : Intel(R) Pentium(R) 4 CPU 2.50GHz
cpu MHz : 2500.000
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03) (prog-if 00 [VGA controller])
Kernel modules: i915

would this throw any light on the problem.
 
Old 09-28-2009, 09:27 PM   #7
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,830

Rep: Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409
I take it that this computer is a LAPTOP - seeing as you have a "82845G/GL" chip

can you check if these are also installed
the Dependencies for the yum install
Code:
rpm -qa | grep libstdc++
rpm -qa | grep libgcc
rpm -qa | grep libpng.i586 2:1.2.37-1
rpm -qa | grep libXi
rpm -qa | grep freetype-freeworld
rpm -qa | grep libXinerama
rpm -qa | grep mesa-libGLU
rpm -qa | grep libICE
rpm -qa | grep qt
rpm -qa | grep mesa-libGL
rpm -qa | grep dejavu-sans-mono-fonts.noarch
rpm -qa | grep libXrender
rpm -qa | grep opengl-games-utils.noarch
rpm -qa | grep libXfixes
rpm -qa | grep qt-x11
rpm -qa | grep fontconfig
rpm -qa | grep libXext
rpm -qa | grep libX11
rpm -qa | grep libXcursor
rpm -qa | grep libSM
rpm -qa | grep libXrandr
but if i had to guess
mesa-libGL, mesa-libGLU were missing
also look in your /etc/X11/xorg.conf file and see if the driver is set to " lintel"
that file might not be there , so you might need to make it
install "system-config-display" and run it
Code:
su -
yum install system-config-display
 
Old 09-28-2009, 11:56 PM   #8
RSridhar
LQ Newbie
 
Registered: Sep 2009
Posts: 13

Original Poster
Rep: Reputation: 4
stellatium fails with segmentation fault

to John V.V

Mine is a desktop not laptop
model ezeebee of HCL
Alsoo the driver specified for the card in device section is
"intel"'

All the packages you specified exist on my system .
Yum installed packages don't show up with rpm -qa

except for the libfreetype-freeworld
which occurs only as libfreetpe
all the packages are installed.

1. libstdc++-4.4.1-2.fc11.i586
2. libgcc-4.4.1-2.fc11.i586
[RS@bsnl ~]$ rpm -qa libpng
3. libpng-1.2.37-1.fc11.i586
4. libXi-1.2.1-1.fc11.i586

5.
[RS@bsnl ~]$ rpm -qa libfreetype
[RS@bsnl ~]$ yum list installed freetype*
Loaded plugins: presto, protectbase, refresh-packagekit
0 packages excluded due to repository protections
Installed Packages
freetype.i586 2.3.9-5.fc11 @updates
freetype-devel.i586 2.3.9-5.fc11 @updates

6. libXinerama-1.0.3-4.fc11.i586

7.mesa-libGLU-7.6-0.1.fc11.i586

8. libICE-1.0.4-7.fc11.i586
9. qt-4.5.2-3.fc11.i586
10. mesa-libGL-7.6-0.1.fc11.i586

11. usr/share/fonts/dejavu exist though
no package marked

12. libXrender-0.9.4-5.fc11.i586

13.
[RS@bsnl ~]$ yum list installed opengl*
Loaded plugins: presto, protectbase, refresh-packagekit
0 packages excluded due to repository protections
Installed Packages
opengl-games-utils.noarch 0.1-8.fc11 @fedora

14. libXfixes-4.0.3-5.fc11.i586
15. qt-x11-4.5.2-3.fc11.i586
16. fontconfig-2.7.1-1.fc11.i586
17. libXext-1.0.99.1-3.fc11.i586
18. libX11-1.2.2-1.fc11.i586
19. libXcursor-1.1.9-4.fc11.i586
20. libSM-1.1.0-4.fc11.i586
21. libXrandr-1.2.99.4-3.fc11.i586

my xorg.conf device section

Section "Device"
Identifier "Card0"
Driver "intel"
VendorName "Intel Corporation"
BoardName "82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device"
BusID "PCI:0:2:0"
# Option "AccelMethod" "xaa"
Option "LinearAlloc" "6144"
EndSection
 
Old 09-29-2009, 12:09 AM   #9
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,830

Rep: Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409
Quote:
Yum installed packages don't show up with rpm -qa
you NEED to use this
Code:
rpm -qa | grep FileName
you are missing the " | grep "

you can use what you used ( slight variation )
yum list installed > yumlist.txt
then search the text file

----
also you can try reinstalling mesa
Code:
su -
yum reinstall mesa*
----
try one or more of these options in your xorg.conf
Code:
Section "Screen"

    Option         "RenderAccel" "True"
    Option         "AllowGLXWithComposite" "True"
    Option         "AddARGBGLXVisuals" "true"
  


EndSection

Section "Extensions"
    Option         "Composite" "Enable"
 
EndSection
or you can build the stellarium source
once you use you to install cmake and the full devel tools and lib's

Last edited by John VV; 09-29-2009 at 12:11 AM.
 
Old 09-30-2009, 12:27 AM   #10
RSridhar
LQ Newbie
 
Registered: Sep 2009
Posts: 13

Original Poster
Rep: Reputation: 4
Thanks anyway.
Everything done as stipulated with no
positive result.
Receive the same segmentation fault.

So I presume some software glitch unconnected
with downloaded software
including the mesa*
 
Old 09-30-2009, 01:01 AM   #11
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,830

Rep: Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409Reputation: 2409
you can have a go at building Stellarium from the SVN source
All of the Dependencies are in the repos
just use yum to install them
http://www.stellarium.org/wiki/index...d_Dependencies
the fedora 10 instructions will work for fedora 11
but you might want to have a look at " yum grouplist "
and install "Development Tools" and "Development Libraries" to install gcc
 
Old 10-26-2009, 02:27 PM   #12
RSridhar
LQ Newbie
 
Registered: Sep 2009
Posts: 13

Original Poster
Rep: Reputation: 4
Issue resolved described below

I had svn'ed stellarium and now I have a working version 0.10.3
only by downgrading mesa-dri -7.6 to 7.5
with the command
yum downgrade mesa*..........
So now my stallarrium and other related with mesa dri drivers are
working fine
Thanks to browsing several responses in the forum
which only revealed much trial and error of the users
in resolving their problems including this downgrading solution.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Cube fails to run with segmentation fault (SDL parachute deployed) bomarrow1 Linux - Games 11 09-23-2006 11:25 AM
yast segmentation fault, system freezing - nvidia driver at fault? BaltikaTroika SUSE / openSUSE 2 12-02-2005 10:34 AM
fsck fails. Code: Bad EIP value. Segmentation fault. MOHCTP Debian 4 09-07-2005 09:35 PM
Armagetron (game) fails - Segmentation Fault JustOl'Bob Fedora 6 05-11-2005 10:24 AM
RedHat 7.2 Gnome fails due to segmentation fault chris.hicks Linux - Software 3 09-23-2003 11:27 AM


All times are GMT -5. The time now is 04:53 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration